=== debian/changelog ===
solarus (1.3-maemo1) unstable; urgency=low
	
  * Backspace for Escape

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 31 Aug 2011 09:01:31 +0020
