=== debian/control ===
Source: solarus
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>> 5.0.0), dh-buildinfo, libsdl1.2-dev,  libsdl-image1.2-dev, libsdl-ttf2.0-dev, lua5.1, liblua5.1-0-dev, libmodplug-dev, libphysfs-dev, libvorbis-dev, libopenal-dev, zip, cmake
Standards-Version: 3.7.2
Homepage: http://www.zelda-solarus.com/jeu-zsxd-download&lang=en
XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com

Package: solarus
Architecture: any
Depends: ${shlibs:Depends}
Description: A cross-platform 2D Zelda-game
 Zelda Mystery of Solarus XD is a parodic minigame realized with
 the engine of Zelda: Mystery of Solarus DX.
